aboutsummaryrefslogtreecommitdiffstats
path: root/bin/check-rt
diff options
context:
space:
mode:
Diffstat (limited to 'bin/check-rt')
-rwxr-xr-xbin/check-rt11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/check-rt b/bin/check-rt
new file mode 100755
index 0000000..5dc04cd
--- /dev/null
+++ b/bin/check-rt
@@ -0,0 +1,11 @@
+#!/bin/env bash
+#Check if the kernel name has -rt in it (we're running Realtime Kernel)
+
+if [[ $(uname -r) == *-rt* ]];then
+ echo "Success: Running $(uname -r)."
+ exit 0
+else
+ echo "Failure: Running $(uname -r)."
+ exit 1
+fi
+